
@media screen and (-webkit-min-device-pixel-ratio: 0) {
    input[type="date"].form-control,
    input[type="time"].form-control,
    input[type="datetime-local"].form-control,
    input[type="month"].form-control {
      line-height: 36px;
    }
    input[type="date"].input-sm, .input-group-sm input[type="date"],
    input[type="time"].input-sm, .input-group-sm
    input[type="time"],
    input[type="datetime-local"].input-sm, .input-group-sm
    input[type="datetime-local"],
    input[type="month"].input-sm, .input-group-sm
    input[type="month"] {
      line-height: 24px;
    }
    input[type="date"].input-lg, .input-group-lg input[type="date"],
    input[type="time"].input-lg, .input-group-lg
    input[type="time"],
    input[type="datetime-local"].input-lg, .input-group-lg
    input[type="datetime-local"],
    input[type="month"].input-lg, .input-group-lg
    input[type="month"] {
      line-height: 44px;
    }
  }

.input-group-btn .btn {
    margin: 0 0 7px 0;
  }
  
  .form-group.form-group-sm .input-group-btn .btn {
    margin: 0 0 3px 0;
  }
  .form-group.form-group-lg .input-group-btn .btn {
    margin: 0 0 9px 0;
  }
  
  .input-group .input-group-btn {
    padding: 0 12px;
  }
  .input-group .input-group-addon {
    border: 0;
    background: transparent;
    padding: 6px 15px 0px;
  }


  .input-group .input-group-addon {
    border: 0;
    background: transparent;
    padding: 6px 15px 0px;
  }

  .form-group-sm .form-control {
    height: 24px;
    padding: 3px 0;
    font-size: 11px;
    line-height: 1.5;
  }
  .form-group-sm select.form-control {
    height: 24px;
    line-height: 24px;
  }
  .form-group-sm textarea.form-control,
  .form-group-sm select[multiple].form-control {
    height: auto;
  }
  .form-group-sm .form-control-static {
    height: 24px;
    min-height: 31px;
    padding: 4px 0;
    font-size: 11px;
    line-height: 1.5;
  }


  .form-group-lg .form-control {
    height: 44px;
    padding: 9px 0;
    font-size: 18px;
    line-height: 1.33333;
  }
  .form-group-lg select.form-control {
    height: 44px;
    line-height: 44px;
  }
  .form-group-lg textarea.form-control,
  .form-group-lg select[multiple].form-control {
    height: auto;
  }
  .form-group-lg .form-control-static {
    height: 44px;
    min-height: 38px;
    padding: 10px 0;
    font-size: 18px;
    line-height: 1.33333;
  }

  @media (min-width: 768px) {
    .form-horizontal .form-group-lg .control-label {
      padding-top: 13.0px;
      font-size: 18px;
    }
  }
  @media (min-width: 768px) {
    .form-horizontal .form-group-sm .control-label {
      padding-top: 4px;
      font-size: 11px;
    }
  }

  .form-control,
.form-group .form-control {
  border: 0;
  background-image: linear-gradient(#9c27b0, #9c27b0), linear-gradient(#D2D2D2, #D2D2D2);
  background-size: 0 2px, 100% 1px;
  background-repeat: no-repeat;
  background-position: center bottom, center calc(100% - 1px);
  background-color: transparent;
  transition: background 0s ease-out;
  float: none;
  box-shadow: none;
  border-radius: 0;
  font-weight: 400;
}
.form-control::-moz-placeholder,
.form-group .form-control::-moz-placeholder {
  color: #AAAAAA;
  font-weight: 400;
}
.form-control:-ms-input-placeholder,
.form-group .form-control:-ms-input-placeholder {
  color: #AAAAAA;
  font-weight: 400;
}
.form-control::-webkit-input-placeholder,
.form-group .form-control::-webkit-input-placeholder {
  color: #AAAAAA;
  font-weight: 400;
}
.form-control[readonly], .form-control[disabled], fieldset[disabled] .form-control,
.form-group .form-control[readonly],
.form-group .form-control[disabled], fieldset[disabled]
.form-group .form-control {
  background-color: transparent;
}
.form-control[disabled], fieldset[disabled] .form-control,
.form-group .form-control[disabled], fieldset[disabled]
.form-group .form-control {
  background-image: none;
  border-bottom: 1px dotted #D2D2D2;
}

.form-group {
  position: relative;
}
.form-group.label-static label.control-label, .form-group.label-placeholder label.control-label, .form-group.label-floating label.control-label {
  position: absolute;
  pointer-events: none;
  transition: 0.3s ease all;
}
.form-group.label-floating label.control-label {
  will-change: left, top, contents;
}
.form-group.label-placeholder:not(.is-empty) label.control-label {
  display: none;
}
.form-group .help-block {
  position: absolute;
  display: none;
}

.form-group textarea {
  resize: none;
}
.form-group textarea ~ .form-control-highlight {
  margin-top: -11px;
}
.form-group select {
  appearance: none;
}
.form-group select ~ .material-input:after {
  display: none;
}


.form-group {
    padding-bottom: 7px;
    margin: 1px 0 0 0;
  }
  .form-group .form-control {
    margin-bottom: 7px;
  }
  .form-group .form-control::-moz-placeholder {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group .form-control:-ms-input-placeholder {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group .form-control::-webkit-input-placeholder {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group .checkbox label,
  .form-group .radio label,
  .form-group label {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }
  .control-label{
    
  }
  .form-group label.control-label {
    font-size: 11px;
    line-height: 1.07143;
    color: #AAAAAA;
    font-weight: 400;
    margin: 16px 0 0 0;
  }
  .form-group .help-block {
    margin-top: 0;
    font-size: 11px;
  }
  .form-group.label-floating label.control-label, .form-group.label-placeholder label.control-label {
    top: -7px;
    font-size: 14px;
    line-height: 1.42857;
  }
  .form-group.label-static label.control-label, .form-group.label-floating.is-focused label.control-label, .form-group.label-floating:not(.is-empty) label.control-label {
    top: -28px;
    left: 0;
    font-size: 11px;
    line-height: 1.07143;
  }
  .form-group.label-floating input.form-control:-webkit-autofill ~ label.control-label label.control-label {
    top: -28px;
    left: 0;
    font-size: 11px;
    line-height: 1.07143;
  }
  
  .form-group.form-group-sm {
    padding-bottom: 3px;
    margin: 21px 0 0 0;
  }
  .form-group.form-group-sm .form-control {
    margin-bottom: 3px;
  }
  .form-group.form-group-sm .form-control::-moz-placeholder {
    font-size: 11px;
    line-height: 1.5;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-sm .form-control:-ms-input-placeholder {
    font-size: 11px;
    line-height: 1.5;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-sm .form-control::-webkit-input-placeholder {
    font-size: 11px;
    line-height: 1.5;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-sm .checkbox label,
  .form-group.form-group-sm .radio label,
  .form-group.form-group-sm label {
    font-size: 11px;
    line-height: 1.5;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-sm label.control-label {
    font-size: 9px;
    line-height: 1.125;
    color: #AAAAAA;
    font-weight: 400;
    margin: 16px 0 0 0;
  }
  .form-group.form-group-sm .help-block {
    margin-top: 0;
    font-size: 9px;
  }
  .form-group.form-group-sm.label-floating label.control-label, .form-group.form-group-sm.label-placeholder label.control-label {
    top: -11px;
    font-size: 11px;
    line-height: 1.5;
  }
  .form-group.form-group-sm.label-static label.control-label, .form-group.form-group-sm.label-floating.is-focused label.control-label, .form-group.form-group-sm.label-floating:not(.is-empty) label.control-label {
    top: -25px;
    left: 0;
    font-size: 9px;
    line-height: 1.125;
  }
  .form-group.form-group-sm.label-floating input.form-control:-webkit-autofill ~ label.control-label label.control-label {
    top: -25px;
    left: 0;
    font-size: 9px;
    line-height: 1.125;
  }
  
  .form-group.form-group-lg {
    padding-bottom: 9px;
    margin: 30px 0 0 0;
  }
  .form-group.form-group-lg .form-control {
    margin-bottom: 9px;
  }
  .form-group.form-group-lg .form-control::-moz-placeholder {
    font-size: 18px;
    line-height: 1.33333;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-lg .form-control:-ms-input-placeholder {
    font-size: 18px;
    line-height: 1.33333;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-lg .form-control::-webkit-input-placeholder {
    font-size: 18px;
    line-height: 1.33333;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-lg .checkbox label,
  .form-group.form-group-lg .radio label,
  .form-group.form-group-lg label {
    font-size: 18px;
    line-height: 1.33333;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-group.form-group-lg label.control-label {
    font-size: 14px;
    line-height: 1.0;
    color: #AAAAAA;
    font-weight: 400;
    margin: 16px 0 0 0;
  }
  .form-group.form-group-lg .help-block {
    margin-top: 0;
    font-size: 14px;
  }
  .form-group.form-group-lg.label-floating label.control-label, .form-group.form-group-lg.label-placeholder label.control-label {
    top: -5px;
    font-size: 18px;
    line-height: 1.33333;
  }
  .form-group.form-group-lg.label-static label.control-label, .form-group.form-group-lg.label-floating.is-focused label.control-label, .form-group.form-group-lg.label-floating:not(.is-empty) label.control-label {
    top: -32px;
    left: 0;
    font-size: 14px;
    line-height: 1.0;
  }
  .form-group.form-group-lg.label-floating input.form-control:-webkit-autofill ~ label.control-label label.control-label {
    top: -32px;
    left: 0;
    font-size: 14px;
    line-height: 1.0;
  }
  
  select.form-control {
    border: 0;
    box-shadow: none;
    border-radius: 0;
  }
  .form-group.is-focused select.form-control {
    box-shadow: none;
    border-color: #D2D2D2;
  }
  select.form-control[multiple], .form-group.is-focused select.form-control[multiple] {
    height: 85px;
  }
  
  .form-group input[type=file] {
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
  }


  .form-group.is-focused .radio label {
    color: rgba(0,0,0, 0.26);
  }
  .form-group.is-focused .radio label:hover, .form-group.is-focused .radio label:focus {
    color: rgba(0,0,0, .54);
  }

  .form-group.is-focused .checkbox label {
    color: rgba(0,0,0, 0.26);
  }
  .form-group.is-focused .checkbox label:hover, .form-group.is-focused .checkbox label:focus {
    color: rgba(0,0,0, .54);
  }

  @media (min-width: 768px) {
    .form-horizontal .control-label {
      padding-top: 8px;
    }
  }

  label.control-label {
    font-size: 11px;
    line-height: 1.07143;
    color: #AAAAAA;
    font-weight: 400;
    margin: 16px 0 0 0;
  }

  .form-control-static {
    padding-top: 8px;
    padding-bottom: 8px;
    min-height: 34px;
  }

  .form-control {
    margin-bottom: 7px;
  }
  .form-control::-moz-placeholder {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-control:-ms-input-placeholder {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }
  .form-control::-webkit-input-placeholder {
    font-size: 14px;
    line-height: 1.42857;
    color: #AAAAAA;
    font-weight: 400;
  }

  .form-control-feedback {
    opacity: 0;
  }
  .has-success .form-control-feedback {
    color: #4caf50;
    opacity: 1;
  }
  .has-error .form-control-feedback {
    color: #1A6ECC;
    opacity: 1;
  }

  @media (min-width: 768px) {
    .form-horizontal .control-label {
      padding-top: 8px;
    }
  }

  label.control-label {
    font-size: 11px;
    line-height: 1.07143;
    color: #AAAAAA;
    font-weight: 400;
    margin: 16px 0 0 0;
  }